
<div class="referral-ready-tracking">
  <app-content-banner [isDashboard]="false" pageName="Referral Ready Tracking"></app-content-banner>
  <mat-card class="rrt-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="5px">
      <app-referral-package-client-banner></app-referral-package-client-banner>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight [selectedIndex]="selectedTab" (selectedTabChange)="tabChanged($event)" #tabs>
        <mat-tab>
          <ng-template matTabLabel>
            <span>Housing Application Package</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <app-housing-application-supporting-documents
                  [housingApplicationSupportingDocumentsData]="housingApplicationSupportingDocumentsData"  [deleteDisabled]="true" (onDocValueChange)="documentValueChange($event)">
                </app-housing-application-supporting-documents>

              </div>
            </div>
          </ng-template>
        </mat-tab>
        <mat-tab>
          <ng-template matTabLabel>
            <span>Client Documentation</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <div class="view">
                  <form [formGroup]="clientDocGroup" (change)="onChange()">
                    <div>
                      <div class="inline label">
                          <input type="hidden" formControlName="vcsClientPackageID" />
                          <!-- <mat-label>All client documents are attached, and application package is referral ready? </mat-label> -->
                          <mat-label>Client documentation has been reviewed and is complete? </mat-label>
                      </div>
                      <div  class="inline">
                          <mat-radio-group  formControlName="isPkgRefReady" (change)="isPkgRefReadyChange($event)">
                            <mat-radio-button *ngFor="let item of responseItems" [value]="item.refGroupDetailID" >
                              {{item.refGroupDetailDescription}}&nbsp;&nbsp;&nbsp;&nbsp;
                            </mat-radio-button>
                        </mat-radio-group>
                      </div>
                    </div>
                    <div *ngIf="clientDocGroup.controls['isPkgRefReady'].value == 34" >
                        <mat-label>Additional Comments:</mat-label>
                        <mat-form-field appearance="outline" class="textarea">
                          <textarea rows="3" matInput formControlName="pkgRefReadyComments" ></textarea>
                        </mat-form-field>

                    </div>
                  </form>
                </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <mat-tab>
          <ng-template matTabLabel>
            <span>Client Referral Ready</span>
          </ng-template>
          <ng-template matTabContent>
              <div class="example-small-box mat-elevation-z4" fxLayout="column">
                  <div class="example-container mat-elevation-z4">
              <app-referral-hold [clientDocData]="clientDocData" (onValueChange)="onReferralHoldChange($event)">
            </app-referral-hold>

            <!-- <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                  <div class="view">
                    <form [formGroup]="clientDocGroup" id="form" (change)="onChange()">
                        <div>
                          <div class="inline label">
                              <mat-label>All client documents are attached, and application package is referral ready? </mat-label>
                          </div>
                          <div  class="inline">
                              <mat-form-field appearance="outline" >
                                  <mat-select formControlName="isClientRefReady" (selectionChange)="isClientRefReadyChange($event)">
                                    <mat-option [value]="0">Select One</mat-option>
                                    <mat-option *ngFor="let item of responseItems" [value]="item.refGroupDetailID">
                                      {{item.refGroupDetailDescription}}
                                    </mat-option>
                                  </mat-select>
                                </mat-form-field>
                          </div>
                        </div>
                        <div *ngIf="clientDocGroup.controls['isClientRefReady'].value == 33" >
                            <mat-label>Additional Comments:</mat-label>
                            <mat-form-field appearance="outline" class="textarea">
                              <textarea rows="3" matInput formControlName="clientRefReadyComment"></textarea>
                            </mat-form-field>
                        </div>
                        <div *ngIf="clientDocGroup.controls['isClientRefReady'].value == 34">
                            <mat-label>Reasons for Client being Non-actionable(select if applies)</mat-label>
                            <mat-radio-group  formControlName="clientNotReadyReason" style="display: flex; flex-direction: column;"  (change)="clientNotReadyReasonChange($event)" >
                                <mat-radio-button *ngFor="let item of holdReasons" [value]="item.refGroupDetailID" >
                                  {{item.refGroupDetailDescription}}&nbsp;&nbsp;&nbsp;&nbsp;
                                </mat-radio-button>
                            </mat-radio-group>
                            <div *ngIf="clientDocGroup.controls['clientNotReadyReason'].value == 510">
                            <mat-label>if Other, please specify: </mat-label>
                            <mat-form-field appearance="outline" class="textarea" >
                              <textarea rows="3" matInput formControlName="clientNotReadyOtherSpecify"></textarea>
                            </mat-form-field>
                            </div>
                            <mat-label>Additional Comments:</mat-label>
                            <mat-form-field appearance="outline" class="textarea">
                              <textarea rows="3" matInput formControlName="clientNotReadyAddlComments"></textarea>
                            </mat-form-field>
                        </div>
                    </form>

                    <div fxLayout="row" fxLayout.lt-md="column" style="margin-left: 30px" fxLayoutAlign="center flex-end">
                        <div fxLayout="column" style="width: 90%"  >
                        <h4>Action History</h4>
                        <ag-grid-angular #agGrid id="clientRefReady" style="width: 90%;"
                          class="ag-theme-balham my-grid" [columnDefs]="columnDefs" [defaultColDef]="defaultColDef"
                          [rowData]="history" [floatingFilter]="false" [animateRows]="true"
                          [pagination]="true" [paginationPageSize]="5"
                          (firstDataRendered)="onFirstDataRendered($event)" (gridReady)="onGridReady($event)"
                          [overlayLoadingTemplate]="overlayLoadingTemplate" [overlayNoRowsTemplate]="overlayNoRowsTemplate">
                        </ag-grid-angular>
                      </div>
                    </div>
                  </div>
              </div>
            </div> -->
              </div>
            </div>
          </ng-template>
        </mat-tab>
      </mat-tab-group>
    </mat-card-content>
  </mat-card>
  <app-nav-footer (Savebtn)="onSave(true)"  [isSaveRequired] = "showBtn" (Clearbtn)="clearPage()" [isClearRequired] = "showBtn || clearBtnShow" (Previousbtn)="previousPage()" (Nextbtn)="nextPage()"  ></app-nav-footer>
</div>
